﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region
Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Public Button1 As Button
	Public button2 As Button
	Public contextmnu As ContextMenu
	Public menuitems As List
	Public Label1 As Label
	Public label2 As Label
End Sub
Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	set_button_views
	set_label_views
End Sub
Private Sub set_button_views
	contextmnu = Button1.ContextMenu		' contextmenu set in designer
	menuitems = contextmnu.MenuItems
	For i = 0 To menuitems.Size -1
		Dim item As MenuItem = menuitems.Get(i)
		item.Initialize(item.Text,"cntx")	' event for the menu items
		menuitems.Set(i,item)
	Next
	Dim btn2menu As ContextMenu				' contextmenu in code
	btn2menu.Initialize("cntx")
	Dim mi1 As MenuItem
	mi1.Initialize("btn2item1","cntx")		' event for this menu item
	btn2menu.MenuItems.Add(mi1)
	' button in code
	button2.Initialize("button2")
	button2.Text = "btn2 click"
	button2.ContextMenu = btn2menu
	Root.AddView(button2,200,100,100,50)
End Sub
Private Sub set_label_views
	' label contextmenu
	contextmnu = Label1.ContextMenu			' contextmenu set in designer
	menuitems = contextmnu.MenuItems
	For i = 0 To menuitems.Size -1
		Dim item As MenuItem = menuitems.Get(i)
		item.Initialize(item.Text,"cntx")	' event for the menu items
		menuitems.Set(i,item)
	Next
	' label in code
	Dim lblmenu As ContextMenu				' contextmenu in code
	lblmenu.Initialize("cntx")
	Dim mi3 As MenuItem
	mi3.Initialize("lblitem1","cntx")		' event for this menu item
	lblmenu.MenuItems.Add(mi3)
	label2.Initialize("label2")
	label2.Text = " label 2 text"
	label2.As(B4XView).SetColorAndBorder(xui.Color_Yellow,2,xui.Color_Blue,5)
	label2.ContextMenu = lblmenu
	Root.AddView(label2,200,200,100,50)
End Sub

Private Sub Button1_Click
	xui.MsgboxAsync("Button1 clicked", "B4X")
End Sub
Private Sub Label1_MouseClicked (EventData As MouseEvent)
	If EventData.SecondaryButtonPressed Then Return		' mouse button for contextmenu
	xui.MsgboxAsync("Label1 mouseclicked", "B4X")
End Sub
Private Sub button2_Click
	xui.MsgboxAsync("button2 clicked", "B4X")
End Sub
Private Sub label2_MouseClicked (EventData As MouseEvent)
	If EventData.SecondaryButtonPressed Then Return		' mouse button for contextmenu
	xui.MsgboxAsync("label2 mouseclicked", "B4X")
End Sub
Private Sub cntx_Action						' action for ALL contextmenu items
	Dim mitem As MenuItem = Sender
	Log(mitem.Text)
	Select mitem.Text
		' button context menus
		Case "item1"
			Log("item1 execution")
		Case "item2"
			Log("item2 execution")
		Case "btn2item1"
			Log("btn2item1 execution")
		' label context menus
		Case "label item 1"
			Log("lblitem1 execution")
		Case "label item 2"
			Log("lblitem1 execution")
		Case "lblitem1"
			Log("lblitem1 execution")
	End Select
End Sub
